Linux 下安装 Eclipse PHP集成开发环境

更新于 3 年 11 个月前

JDK 环境 * openjdk 1.7.0 / [SUN JDK 1.7.0] #### 安装 Eclipse Juno {#install-ecilpse-juno} 到 http://www.eclipse.org/downloads/?osType=linux 下载 `Eclipse Classic 4.2.2 (Linux 64 Bit)` > sudo tar xf eclipse-SDK-4.2.2-linux-gtk-x86_64.tar.gz -C /opt/ > sudo chown -R $USER /opt/eclipse/ > sudo chgrp -R root /opt/eclipse/ 注:如果不更改所属用户,某些 Linux 系统下在安装 Eclipse 插件时肯能会有问题。 #### 创建 Eclipse 启动程序 {#c... 显示全文

Linux 下安装 Xmind 3.3.1

更新于 4 年 0 个月前

[Xmind] 是一个非常实用的[思维导图]软件,界面美观,体积小,且兼容 FreeMind 和 MindManager 数据格式, 可快速的将你的思维流形象的表达出来。以下安装方式适用于 Fedora, ContOS 和 openSUSE 等 Linux 发行版, Ubuntu下可直接使用官方提供的.deb包安装。 #### 下载 {#download} wget http://dl2.xmind.net/xmind-downloads/xmind-linux-3.3.1.201212250029_amd64.deb #### 解压 {#uncompress} ar -x xmind-linux-3.3.1.201212250029_amd64.deb 解压后会产生 `control.tar.gz` 和 `data.tar.gz` ls contr... 显示全文

GitHub 无法登录,提交

更新于 4 年 0 个月前

今天发现 [github 无法登录],赶紧登录一下,悲哀,真的无法登录。 重置一下密码,可以登录了。但是更改一些代码发现无法提交。 #### 探索 {#explore} $ git push error: The requested URL returned error: 503 Service Unavailable while accessing https://github.com/ueaner/soap.git/info/refs fatal: HTTP request failed 查看一下提交的地址: $ git remote -v origin https://github.com/ueaner/soap.git (fetch) origin https://github.com/ueaner/soap.git (push... 显示全文

Linux 下使用 adb 和 fastboot 命令

更新于 4 年 0 个月前

#### 下载 Android platform-tools 包 {#download-android-platform-tools} android platform tools 包,包含了 adb 和 fastboot 命令。 > wget http://dl-ssl.google.com/android/repository/platform-tools_r19-linux.zip > unzip platform-tools_r19-linux.zip 如果 http 协议不好使,使用 `wget https://dl-ssl.google.com/android/repository/platform-tools_r19-linux.zip --no-check-certificate` 你也可以尝试使用 `zypper install android-too... 显示全文

解决 crontab 下运行 gpg 文件加解密问题

更新于 4 年 1 个月前

关于 gpg 请查看 [PGP 文件加解密]. 一般我们在终端使用 gpg 命令手工加解密,按提示输入相应的选项,完成加解密没有任何问题, 当我们需要自动化时往往得写一段脚本放在 crontab 里。 #### 文件加密 {#file-encryption} 更新公钥的信任级别(trust level),已避免需要手工确认。 $ gpg --edit-key gpg (GnuPG) 1.4.11; Copyright (C) 2010 Free Software Foundation, Inc. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. ... 显示全文

Linux 下安装 VirtualBox 4.3.2

更新于 4 年 1 个月前

#### 下载 VirtualBox {#download-virtualbox} 到 [VirtualBox 官网] 下载系统相应版本. #### 安装 VirtualBox {#install-virtualbox} Fedora/CentOS 下安装依赖: # rpm -Uvh http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm # yum install dkms kernel-devel kernel-headers __ Fedora __ # yum localinstall VirtualBox-4.3-4.3.2_90405_fedora18-1.x86_64.rpm __ CentOS __ # yum localins... 显示全文

VIM编写markdown文档

更新于 4 年 1 个月前

#### 目录结构 {#directory-structure} $ tree -C ~/.vim | grep -v ".cnx" |-- syntax |-- mkd.vim #### markdown 简介 {#markdown-introduction} [markdown] 是一种轻量级标记语言,允许人们"使用`易读易写`的`纯文本格式`编写文档, 然后转换成有效的XHTML(或者HTML)文档"。 -- 引用自维基百科 #### 安装语法文件 {#install-markdown-syntax-file} $ cd ~/.vim/syntax/ $ wget https://raw.github.com/plasticboy/vim-markdown/master/syntax/mkd.vim 此语法文件用来高亮 ... 显示全文

Linux 下安装 SUN JDK 1.7

更新于 4 年 1 个月前

#### 下载 SUN JDK {#download-sun-jdk} 点击 [Java SE Development Kit 7u21] 下载 `jdk-7u21-linux-x64.rpm` #### 安装 SUN JDK {#install-sun-jdk} __Fedora/CentOS__: # yum localinstall /path/to/jdk-7u21-linux-x64.rpm __openSUSE__: # zypper install /path/to/jdk-7u21-linux-x64.rpm 添加到 java 版本列表: update-alternatives 是用来管理多版本软件共存时默认选择的版本。 # update-alternatives --install "/usr/bin/java" "java" "/u... 显示全文

使用 phpize 安装 PHP 扩展

更新于 4 年 2 个月前

通常我们安装完 PHP 后,在开发的过程需要使用某个新的 PHP 扩展,不可能说重新编译 PHP 来加载这个扩展, 这样你可能会很不爽,PHP 给我们提供了很方便的工具 phpize 来编译 PHP 扩展。 #### 例1 {#example-1} PHP 安装目录为 `/usr/local/php/`,PHP 扩展源码目录为 `/usr/local/src/php-extension-name/` $ cd /usr/local/src/php-extension-name/ ## 进入 PHP 扩展源码目录 $ /usr/local/php/bin/phpize ## 运行 phpize,准备 PHP 扩展库的编译环境 $ ./configure --with-php-config=/usr/local/php/bin/php-config... 显示全文

CentOS 下安装 PAC Manager 进行远程管理

更新于 4 年 2 个月前

#### 简介 {#summary} Linux 下 [PAC Manager] 可取代 [SecureCRT] 进行远程管理,开源免费,且可与 [KeePassX] 交互。 #### 下载 PAC Manager {#download-pac-manager} # wget http://softlayer-dal.dl.sourceforge.net/project/pacmanager/pac-4.0/pac-4.5.3.2-2.x86_64.rpm #### 安装 PAC Manager {#install-pac-manager} # rpm -ivh pac-4.5.3.2-2.x86_64.rpm error: Failed dependencies: ftp is needed by pac-4.5.3.2-2.x86_64 ... 显示全文